Skip to main content
POST
/
applications
Create an application
curl --request POST \
  --url https://backend.trusys.ai/api/external/applications \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "Customer Support Bot",
  "description": "Production chatbot for billing and account questions"
}
'
import requests

url = "https://backend.trusys.ai/api/external/applications"

payload = {
"name": "Customer Support Bot",
"description": "Production chatbot for billing and account questions"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Customer Support Bot',
description: 'Production chatbot for billing and account questions'
})
};

fetch('https://backend.trusys.ai/api/external/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "createdAt": "2026-07-02T12:00:00.000Z"
  }
}
{
"success": false,
"message": "Invalid request body",
"errors": [
{
"path": "name",
"message": "name is required"
}
]
}
{
"message": "Error while verifying api key"
}
{
"success": false,
"message": "Application with this name already exists."
}

Authorizations

x-api-key
string
header
required

Your Trusys API key. Create and manage keys in the Trusys UI under Settings โ†’ API Keys.

Include the key on every request:

x-api-key: <your-api-key>

Body

application/json

Display name and optional description for the application.

Payload for registering a new application.

name
string
required

Display name for the application. Must be unique.

Minimum string length: 1
Example:

"Customer Support Bot"

description
string

Optional longer description of what this application does.

Example:

"Production chatbot for billing and account questions"

Response

Application created successfully.

success
boolean
Example:

true

data
object